function init(hero) {
    hero.setName("A-Train");
    hero.setTier(6);

    hero.setHelmet("Goggles");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addPowers("bfp:speedster_physiology");
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
    hero.addAttribute("JUMP_HEIGHT", 2.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 15.0, 0);
    hero.addAttribute("STEP_HEIGHT", 0.5, 0);
    hero.addAttribute("IMPACT_DAMAGE", 0.5, 1);
    hero.addAttribute("BASE_SPEED_LEVELS", 6.0, 0);
    hero.setModifierEnabled(isModifierEnabled);

    hero.addKeyBind("SUPER_SPEED", "key.superSpeed", 1);
    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 2);
    hero.addKeyBind("EARTHQUAKE", "Superspeed Smash", 3);
    hero.addKeyBind("SPELL_MENU", "Speed-Mirage Menu", 4);
}

function isModifierEnabled(entity, modifier) {
    return modifier.name() != "fiskheroes:speed_disintegration" || entity.getData("fiskheroes:speeding") && entity.getData("fiskheroes:speed") > 4;
}
